package com.seer.teach.mall.convert;

import com.seer.teach.mall.entity.GoodsCollectEntity;
import com.seer.teach.mall.response.GoodsCollectResp;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper
public interface GoodsCollectConvert {

    GoodsCollectConvert INSTANCE = Mappers.getMapper(GoodsCollectConvert.class);

    GoodsCollectResp convertOne(GoodsCollectEntity entity);

    List<GoodsCollectResp> convertList(List<GoodsCollectEntity> entityList);
}